GET
/user/node-proxy/{tenant_id}/{node_id}/{http_path}
const url = 'https://example.com/user/node-proxy/example/example/example';const options = {method: 'GET', headers: {'X-Tenzir-UserKey': '<X-Tenzir-UserKey>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/user/node-proxy/example/example/example \ --header 'X-Tenzir-UserKey: <X-Tenzir-UserKey>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” tenant_id
required
Tenant Id
string
node_id
required
Node Id
string
http_path
required
Http Path
string
Header Parameters
Section titled “Header Parameters ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
Example generated
example{"detail": "Invalid API Key"}
{"detail": "Tenant not found"}
{"detail": "Node not found"}
{"detail": "Proxy timed out"}
{"detail": "Node not connected"}
Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}